
Name:		kdmtheme
Version:	1.2.2
Release:	alt2
Summary:	Theme Manager for KDM

License:	GPL
Group:		System/Configuration/Other
URL:		http://beta.smileaf.org

Packager:   Andrey Cherepanov <cas@altlinux.ru>

Source0:	%name-%version.tar.bz2
Patch0:		kdmtheme-1.2.2-alt-libs-fix.patch
Patch1:		kdmtheme-1.2.2-alt-desktop-fix.patch
Patch2:		kdmtheme-1.2.2-l10n-ru.patch
Patch3:		kdmtheme-1.2.2-kubuntu_11_replace_qlist.patch
Patch4:		kdmtheme-1.2.2-alt-info-update.patch

BuildRequires: gcc-c++ kdelibs-devel, desktop-file-utils, kdebase-devel kdelibs-devel

%description
KDM Theme manager is just what it says a theme Manager for KDM.
This control module allows you to easily add, remove and select
any KDM theme you want.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%set_automake_version 1.7
%set_autoconf_version 2.5
%configure
%make_build

%install
%makeinstall

%find_lang --with-kde --with-man %name

%post
%update_desktopdb
%update_menus

%postun
%clean_desktopdb
%clean_menus

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog README
%_datadir/applications/kde/*.desktop
%_libdir/kde3/kcm_%name.so

%changelog
* Tue May 06 2008 Andrey Cherepanov <cas@altlinux.ru> 1.2.2-alt2
- Fixed crash wheh click out of theme at themes list
  + Added kdmtheme-1.2.2-alt-info-update.patch
- Added simple patch from kubuntu
 
* Tue May 06 2008 Andrey Cherepanov <cas@altlinux.ru> 1.2.2-alt1
- Version 1.2.2

* Fri Oct 27 2006 Alexey Gladkov <legion@altlinux.ru> 1.1.2-alt1
- Initial release.

